UIAjaxOutputPanel (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.ajax4jsf.component.UIAjaxOutputPanel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UIAjaxOutputPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  org.ajax4jsf.component.UIAjaxOutputPanel

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxOutput

Direct Known Subclasses:
  HtmlAjaxOutputPanel

    public abstract class UIAjaxOutputPanel

extends javax.faces.component.UIPanel
implements org.ajax4jsf.component.AjaxOutput

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:26 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIPanel
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIAjaxOutputPanel()`

Method Summary
`abstract java.lang.String` | `getLayout()`
`abstract void` | `setLayout(java.lang.String layout)`

Methods inherited from class javax.faces.component.UIPanel
`getFamily`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxOutput
`isAjaxRendered, isKeepTransient, setAjaxRendered, setKeepTransient`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIAjaxOutputPanel

    public UIAjaxOutputPanel()

Method Detail

### getLayout

    public abstract java.lang.String getLayout()

  Returns:

### setLayout

    public abstract void setLayout(java.lang.String layout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.